
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>java的对象串联 / iVAN</title>

    <meta name="description" content="java的对象串联 Java 1.1增添了一种有趣的特性,名为&quot;对象序列化&quot;(Object Serialization).它面向那些实现了Serializable接口的对象,可将它们转换成一系列字节,并可在以后完全恢复回原来的样子.这一过程亦可通过网络进行.这意味着序列化机制能自动补偿操作系统间的差异.换句话说,可以先在Windows机器上创建一个对象,对其序列化,然后通过网络发给一台Unix机器,然后在那里准确无误地重新&quot;装配&quot;.不必关心数据在不同机器上如何表示,也不必关心 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">java的对象串联</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Java 1.1增添了一种有趣的特性，名为“对象序列化”（Object Serialization）。它面向那些实现了Serializable接口的对象，可将它们转换成一系列字节，并可在以后完全恢复回原来的样子。这一过程亦可通过网络进行。这意味着序列化机制能自动补偿操作系统间的差异。换句话说，可以先在Windows机器上创建一个对象，对其序列化，然后通过网络发给一台Unix机器，然后在那里准确无误地重新“装配”。不必关心数据在不同机器上如何表示，也不必关心字节的顺序或者其他任何细节。<br />
就其本身来说，对象的序列化是非常有趣的，因为利用它可以实现“有限持久化”。请记住“持久化”意味着对象的“生存时间”并不取决于程序是否正在执行——它存在或“生存”于程序的每一次调用之间。通过序列化一个对象，将其写入磁盘，以后在程序重新调用时重新恢复那个对象，就能圆满实现一种“持久”效果。之所以称其为“有限”，是因为不能用某种“persistent”（持久）关键字简单地地定义一个对象，并让系统自动照看其他所有细节问题（尽管将来可能成为现实）。相反，必须在自己的程序中明确地序列化和组装对象。<br />
语言里增加了对象序列化的概念后，可提供对两种主要特性的支持。Java 1.1的“远程方法调用”（RMI）使本来存在于其他机器的对象可以表现出好象就在本地机器上的行为。将消息发给远程对象时，需要通过对象序列化来传输参数和返回值。RMI将在第15章作具体讨论。<br />
对象的序列化也是Java Beans必需的，后者由Java 1.1引入。使用一个Bean时，它的状态信息通常在设计期间配置好。程序启动以后，这种状态信息必须保存下来，以便程序启动以后恢复；具体工作由对象序列化完成。<br />
对象的序列化处理非常简单，只需对象实现了Serializable接口即可（该接口仅是一个标记，没有方法）。在Java 1.1中，许多标准库类都发生了改变，以便能够序列化——其中包括用于基本数据类型的全部封装器、所有集合类以及其他许多东西。甚至Class对象也可以序列化（第11章讲述了具体实现过程）。<br />
为序列化一个对象，首先要创建某些OutputStream对象，然后将其封装到ObjectOutputStream对象内。此时，只需调用writeObject()即可完成对象的序列化，并将其发送给OutputStream。相反的过程是将一个InputStream封装到ObjectInputStream内，然后调用readObject()。和往常一样，我们最后获得的是指向一个上溯造型Object的句柄，所以必须下溯造型，以便能够直接设置。<br />
对象序列化特别“聪明”的一个地方是它不仅保存了对象的“全景图”，而且能追踪对象内包含的所有句柄并保存那些对象；接着又能对每个对象内包含的句柄进行追踪；以此类推。我们有时将这种情况称为“对象网”，单个对象可与之建立连接。而且它还包含了对象的句柄数组以及成员对象。若必须自行操纵一套对象序列化机制，那么在代码里追踪所有这些链接时可能会显得非常麻烦。在另一方面，由于Java对象的序列化似乎找不出什么缺点，所以请尽量不要自己动手，让它用优化的算法自动维护整个对象网。下面这个例子对序列化机制进行了测试。它建立了许多链接对象的一个“Worm”（蠕虫），每个对象都与Worm中的下一段链接，同时又与属于不同类（Data）的对象句柄数组链接：<br />
 </p>
<blockquote><pre>
//: Worm.java
// Demonstrates object serialization in Java 1.1
import java.io.*;

class Data implements Serializable {
  private int i;
  Data(int x) { i = x; }
  public String toString() {
    return Integer.toString(i);
  }
}

public class Worm implements Serializable {
  // Generate a random int value:
  private static int r() {
    return (int)(Math.random() * 10);
  }
  private Data[] d = {
    new Data(r()), new Data(r()), new Data(r())
  };
  private Worm next;
  private char c;
  // Value of i == number of segments
  Worm(int i, char x) {
    System.out.println(" Worm constructor: " + i);
    c = x;
    if(--i &gt; 0)
      next = new Worm(i, (char)(x + 1));
  }
  Worm() {
    System.out.println("Default constructor");
  }
  public String toString() {
    String s = ":" + c + "(";
    for(int i = 0; i &lt; d.length; i++)
      s += d[i].toString();
    s += ")";
    if(next != null)
      s += next.toString();
    return s;
  }
  public static void main(String[] args) {
    Worm w = new Worm(6, 'a');
    System.out.println("w = " + w);
    try {
      ObjectOutputStream out =
        new ObjectOutputStream(
          new FileOutputStream("worm.out"));
      out.writeObject("Worm storage");
      out.writeObject(w);
      out.close(); // Also flushes output
      ObjectInputStream in =
        new ObjectInputStream(
          new FileInputStream("worm.out"));
      String s = (String)in.readObject();
      Worm w2 = (Worm)in.readObject();
      System.out.println(s + ", w2 = " + w2);
    } catch(Exception e) {
      e.printStackTrace();
    }
    try {
      ByteArrayOutputStream bout =
        new ByteArrayOutputStream();
      ObjectOutputStream out =
        new ObjectOutputStream(bout);
      out.writeObject("Worm storage");
      out.writeObject(w);
      out.flush();
      ObjectInputStream in =
        new ObjectInputStream(
          new ByteArrayInputStream(
            bout.toByteArray()));
      String s = (String)in.readObject();
      Worm w3 = (Worm)in.readObject();
      System.out.println(s + ", w3 = " + w3);
    } catch(Exception e) {
      e.printStackTrace();
    }
  }
} ///:~</pre>
</blockquote>
<p>更有趣的是，Worm内的Data对象数组是用随机数字初始化的（这样便不用怀疑编译器保留了某种原始信息）。每个Worm段都用一个Char标记。这个Char是在重复生成链接的Worm列表时自动产生的。创建一个Worm时，需告诉构建器希望它有多长。为产生下一个句柄（next），它总是用减去1的长度来调用Worm构建器。最后一个next句柄则保持为null（空），表示已抵达Worm的尾部。<br />
上面的所有操作都是为了加深事情的复杂程度，加大对象序列化的难度。然而，真正的序列化过程却是非常简单的。一旦从另外某个流里创建了ObjectOutputStream，writeObject()就会序列化对象。注意也可以为一个String调用writeObject()。亦可使用与DataOutputStream相同的方法写入所有基本数据类型（它们有相同的接口）。<br />
有两个单独的try块看起来是类似的。第一个读写的是文件，而另一个读写的是一个ByteArray（字节数组）。可利用对任何DataInputStream或者DataOutputStream的序列化来读写特定的对象；正如在关于连网的那一章会讲到的那样，这些对象甚至包括网络。一次循环后的输出结果如下：<br />
 </p>
<blockquote><pre>
Worm constructor: 6
Worm constructor: 5
Worm constructor: 4
Worm constructor: 3
Worm constructor: 2
Worm constructor: 1
w = :a(262):b(100):c(396):d(480):e(316):f(398)
Worm storage, w2 = :a(262):b(100):c(396):d(480):e(316):f(398)
Worm storage, w3 = :a(262):b(100):c(396):d(480):e(316):f(398)</pre>
</blockquote>
<p>可以看出，装配回原状的对象确实包含了原来那个对象里包含的所有链接。<br />
注意在对一个Serializable（可序列化）对象进行重新装配的过程中，不会调用任何构建器（甚至默认构建器）。整个对象都是通过从InputStream中取得数据恢复的。<br />
作为Java 1.1特性的一种，我们注意到对象的序列化并不属于新的Reader和Writer层次结构的一部分，而是沿用老式的InputStream和OutputStream结构。所以在一些特殊的场合下，不得不混合使用两种类型的层次结构。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索对象<br />
                    ，                writeobject<br />
                    ，                句柄<br />
                    ，                lte +e398+4g+拨号<br />
                    ，                constructor<br />
                    ，                ObjectOutputStream<br />
                    ，                一个<br />
                                    Worm<br />
                                    java面向对象的理解、java对象的生命周期、java获取json对象的值、java面向对象的特征、java中的对象，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 16:15:57</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/writeobject/" title="writeobject">writeobject</a>, <a href="https://www.iamivan.net/tag/%e5%8f%a5%e6%9f%84/" title="句柄">句柄</a>, <a href="https://www.iamivan.net/tag/constructor/" title="constructor">constructor</a>, <a href="https://www.iamivan.net/tag/objectoutputstream/" title="ObjectOutputStream">ObjectOutputStream</a>, <a href="https://www.iamivan.net/tag/worm/" title="Worm">Worm</a>, <a href="https://www.iamivan.net/tag/lte-e398-4g-%e6%8b%a8%e5%8f%b7/" title="lte &plus;e398&plus;4g&plus;拨号">lte &plus;e398&plus;4g&plus;拨号</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>java的对象串联的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPNJvb.html" rel="bookmark">求大神解答一下-java中对象流objectstream问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java中对象流objectstream问题 输出的为什么不是cyh男20 ym女20求大神解答!!!!!!!!!! 解决方案 你的代码和我这个一样吗?麻烦把你的代码粘全了,我看看 解决方案二: 这个是照片......... 解决方案三: 我和你写的差不多,不知道你为啥会这样,我给你粘出我的代码package lianxi; import java.io.FileInputStream;import java.io.FileOutputStream;import java.io.IOE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeNZ7b.html" rel="bookmark">Java的&OpenCurlyDoubleQuote;对象思想&rdquo;学习笔记&lbrack;二&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				笔记|对象 在这篇文章里我将介绍一些Java对于对象的基本处理模式的问题. 首先看一个有关对象相等性(Object equivalence)的例子: 先看下面的代码: public class EqualTest1{ public static void main(String[] args){ Integer n1 = new Integer(20); Integer n2 = new Integer(20); System.out.println(n1 = = n2); System.out			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrQ51b.html" rel="bookmark">Java数据对象（JDO）的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对象|数据 在本篇文章中,我们将详细地讨论Sun公司的Java数据对象(JDO)标准.JDO允许我们使用Java对象,支持事务和多用户.与ODBC不同的是,它使我们无需考虑SQL和与数据库有关的其他东西.它与串行化也有所区别,因为它支持多个用户和事务.JDO允许Java开发人员将他们的数据模型用作数据模型,无需在&quot;数据端&quot;.&quot;对象端&quot;之间的转移方面花费大量的时间. 包括CocoBase.WebGain TOPLink和Castor JDO在内的多种产品都可以实现了J			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxO3Ob.html" rel="bookmark">java克隆对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				若需修改一个对象,同时不想改变调用者的对象,就要制作该对象的一个本地副本.这也是本地副本最常见的一种用途.若决定制作一个本地副本,只需简单地使用clone()方法即可.Clone是&quot;克隆&quot;的意思,即制作完全一模一样的副本.这个方法在基础类Object中定义成&quot;protected&quot;(受保护)模式.但在希望克隆的任何衍生类中,必须将其覆盖为&quot;public&quot;模式.例如,标准库类Vector覆盖了clone(),所以能为Vector调用clone(),如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myr16Zp.html" rel="bookmark">Java数据对象技术JDO简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为异军突起的新型语言,Java定义了一个标准的运行环境,用户定义的类在其中得到执行.这些用户自定义类的实例代表了真实环境中的数据,包括储存在数据库.文件或某些大型事务处理系统中的数据,而小型系统通常也需要一种在本地负责控制数据存储的机制. 由于数据访问技术在不同的数据源类型中是不一样的,因此对数据进行访问成了给程序开发人员的一种挑战,程序员需要对每一种类型的数据源使用特定的编程接口(API),即必须至少知道两种语言来基于这些数据源开发业务应用:Java语言和由数据源所决定的数据访问语言.这种数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7o68b.html" rel="bookmark">JAVA中对象创建和初始化过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				分析一下JAVA中对象创建和初始化过程中涉及的相关概念问题,java中栈(stack)与堆(heap),对象.引用.句柄的概念. 1.Java中的数据类型 Java中有3个数据类型: 基本数据类型(在Java中,boolean.byte.short.int.long.char.float.double这八种是基本数据类型) 引用类型 null类型 其中,引用类型包括类类型(含数组).接口类型. 下列语句声明了一些变量: 以下是引用片段: int k ; A a; //a是A数据类型的对象变量名.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6RG0b.html" rel="bookmark">如何理解java中 对象&period;this方法 还有 类&period;this&period;方法的 意义</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何理解java中 对象.this方法 还有 类.this.方法的 意义 如何理解java中 对象.this方法 还有 类.this.方法的 意义 有没有这两种语法规则呢 解决方案 this.方法是在某个对象的实例方法内,this代表当前实例.一般情况下不用写,除非它和参数重名才需要: class A { int a; int b; public void seta(int a) { this.a = a; //因为参数a和成员变量a都叫a,所以需要区分. b = a; //相当于th			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDWXX6p.html" rel="bookmark">java中对象调用方法返回一个对象的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java中对象调用方法返回一个对象的问题 例如session.createQuery(hql); 那么这条语句返回的对象属于哪个类呢,如何判断呢? 解决方案 ctrl加鼠标点击createQuery,会有返回方法,或者你在通过session点的时候也可以看到返回方法. 解决方案二: 按住ctrl点击方法,自己去看方法的返回值. 解决方案三: 在java中将一个对象的所有方法打印出来java中远程对象方法调用中的安全策略问题java中返回局部对象问题 解决方案四: 事实上他返回的还是qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9YvEVM.html" rel="bookmark">Gson对Java嵌套对象和JSON字符串之间的转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JSON(JavaScript Object Notation) 是一种轻量级的数据交换格式,具有良好的跨平台特性.近几年来已经和XML一样成为C/S架构中广泛采用的数据格式.有关JSON的更多知识,请参考以下内容:http://json.org/json-zh.html 在服务器和客户端之间使用JSON数据格式进行通信,经常会涉及到JAVA对象和JSON字符串之间的转换.通常,我们可以使用一些JSON解析工具,例如:Gson,FastJson等.当然,我们也可以手动解析,只是会比较繁琐. 下面			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLB1vb.html" rel="bookmark" class="title">利用window API实现matlab屏幕抓取函数</a>
					<div>
						摘要:结合如何用window API实现matlab屏幕抓取函数,介绍了在matlab中如何利用matlab与C/C++的接口,调用操作系统API,扩展matlab功能. 引言 MATLAB 产品家族 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0ON7b.html" rel="bookmark" class="title">金山wps文字型窗体的使用方法</a>
					<div>
						  金山wps是不少网友都在使用的一款办公软件,不过,金山wps的很多功能确实用户都不知道的.比如金山wps的文字型窗体,相信很多网友看到这个功能都是一头雾水,那么,什么是金山wps文字型窗体呢,金山 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1Zjjp.html" rel="bookmark" class="title">在ASP中设cookie&comma;不知此COOKIE有没有时间极限&quest;</a>
					<div>
						cookie Cookies&lt;br&gt;The Cookies collection sets the value of a cookie. If the specified cookie d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEvB3M.html" rel="bookmark" class="title">ASP中使用SQL语句教程</a>
					<div>
						 1. SELECT 语句 在SQL的世界里,最最基础的操作就是SELECT 语句了.在数据库工具下直接采用SQL的时候很多人都会熟悉下面的操作:SELECT whatFROM whichTableW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPBnKz.html" rel="bookmark" class="title">LiveMigration实战之八&colon;配置高可用性虚拟机</a>
					<div>
						在前文中我们创建了故障转移群集,接下来在本文中我们将配置故障转移群集,让故障转移群集支持Hyper-V角色.我们在Server1上进行故障转移群集的配置,首先在 Server1的&quot;Admin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M620oJM.html" rel="bookmark" class="title">Domino下自动分拣邮件的配置</a>
					<div>
						我们公司当前使用邮件系统的版本为Domino 8.5.1 FP5,客户收发邮件通过配置Ms Outlook使用Pop3协议收发邮件:今天公司有个员工给我们IT部门发邮件提出一个问题:大概意思是这样的: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB2x5b.html" rel="bookmark" class="title">Oracle逻辑恢复ocr导致的ORA-29702错误</a>
					<div>
						尝试逻辑恢复ocr设备,导致了ocr状态不一致的问题. 在RAC的其中一个节点上执行下面的操作: bash-2.03# /data/oracle/product/10.2/crs/bin/ocrcon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxmr0b.html" rel="bookmark" class="title">SQL语句性能调整</a>
					<div>
						一. 索引(INDEX)使用的问题 1． 索引(INDEX),用还是不用?这是个的问题. 是全表扫描还是索引范围扫描主要考虑SQL的查询速度问题.这里主要关心读取的记录的数目.根据DONALD K . ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx5Kkb.html" rel="bookmark" class="title">Dreamweaver网页制作的几个常见问题解答</a>
					<div>
						1)在打开一个页面时,同时打开一个小窗口,用 Dreamweaver 能够实现吗? 能,不用写一行代码.在&quot; behaviors &quot;面板使用内置的&quot; Open Brows ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7B2VM.html" rel="bookmark" class="title">浏览器自动弹出下载aidclient&period;php怎么办</a>
					<div>
						  故障原因: cnzz网站统计系统出现了故障,而网站用的是cnzz的统计代码,使用IE内核的浏览器或者IE兼容模式就会弹出,大家别下载就好了.极速模式或高速模式则没有此问题. 临时解决方法: 1.使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywVBvz.html" rel="bookmark" class="title">微信开放平台中的公众号第三方平台 关于全放发布的一个问题！</a>
					<div>
						问题描述 微信开放平台中的公众号第三方平台 关于全放发布的一个问题! 第三方开放平台全网发布的时候,微信会进行模拟粉丝发送消息检测代码的正确性. 文档中提到XML中有个eventtype,我在后台解密 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqkwkb.html" rel="bookmark" class="title">xml-dom4j中能否通过节点的属性获得某个具体的节点&quest;</a>
					<div>
						问题描述 dom4j中能否通过节点的属性获得某个具体的节点? &lt;root&gt; &lt;node name=&quot;a&quot;&gt; &lt;xml&gt;1&lt;/xml&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXaV1z.html" rel="bookmark" class="title">你我贷冯炯：数据驱动 打造P2P数据闭环</a>
					<div>
						本文讲的是你我贷冯炯:数据驱动 打造P2P数据闭环,2014年9月17日-19日,2014 中国系统架构师大会(SACC 2014)在北京五洲皇冠国际酒店盛大开幕.作为中国规模最大的架构师豪门盛会,本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4qx3z.html" rel="bookmark" class="title">Locky勒索软件通过脸书Messenger和JPG文件传播</a>
					<div>
						最近,一款恶意软件正在Facebook上蔓延,它利用图像文件在用户设备上安装恶意勒索软件.被安全公司Check Point Software Technologies称为&quot;ImageGate ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAWvnM.html" rel="bookmark" class="title">代码- B&sol;S架构的一个web项目，在VS2010中用C&num;语言编写</a>
					<div>
						问题描述 B/S架构的一个web项目,在VS2010中用C#语言编写 B/S架构的一个web项目,在VS2010中用C#语言编写 编写代码:从前台页面中读取exl表中的数据,以及在后台页面将数据写入e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgPlYb.html" rel="bookmark" class="title">运营前线2：一线运营专家的运营方法、技巧与实践03 3步策略做好内容管理</a>
					<div>
						03 3步策略做好内容管理 作者简介 黄杰民 目前就职于QQ音乐,所在团队主要负责内容的推荐.推广.更早之前在OPPO应用商店,面对着也是海量的内容运营,当时主要解决的是内容生产和入库管理的问题,建立 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvmea1b.html" rel="bookmark" class="title">MVC4制作网站教程第四章 部分栏目功能实现代码&lowbar;实用技巧</a>
					<div>
						序 一.用户 二.用户组 三.栏目 3.1添加栏目 3.2浏览栏目 3.3更新栏目 3.4删除栏目 3.5前台栏目浏览 -- 栏目模型: 模型应有一下字段:栏目名称,父栏目id,栏目类型,内容模型,栏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR6lRp.html" rel="bookmark" class="title">百度统计网站速度诊断，提升网页加载速度</a>
					<div>
						一个网站上网页的加载速度,是用户体验的一个重要指标,是网站留给访客的第一印象.据国外研究显示,网站打开速度一旦超过4秒,就开始流失访客,当然也流失后续的流量.点击.转化等. 更快的网站速度不仅能改善用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwVr1M.html" rel="bookmark" class="title">谁能帮我看下这个问题怎么解决啊  不胜感激。。。</a>
					<div>
						问题描述 importjava.awt.*;importjava.awt.event.*;publicclassPhoneBookextendsWindowAdapterimplementsActio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXJ95b.html" rel="bookmark" class="title">mysql中limit的用法详解&lbrack;数据分页常用&rsqb;</a>
					<div>
						转自:http://www.phpweblog.net/peiyinjin/archive/2008/04/15/3199.html 在我们使用查询语句的时候,经常要返回前几条或者中间某几行数据,这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEmJKM.html" rel="bookmark" class="title">JAVA&colon;File类的&amp;amp&semi;amp&semi;quot&semi;抽象路径名&amp;amp&semi;amp&semi;quot&semi;是指什么呢</a>
					<div>
						问题描述 File(String pathname) 通过将给定&quot;路径名字符串&quot;转换为&quot;抽象路径名&quot;来创建一个新 File 实例只知道绝对路径和相对路径...但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoAEAM.html" rel="bookmark" class="title">在玩Socket时，遇到的一个错误；EOFException</a>
					<div>
						问题描述 java.io.EOFExceptionatjava.io.DataInputStream.readUnsignedShort(DataInputStream.java:340)atjava ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoV7NM.html" rel="bookmark" class="title">连接tomcat时候出现的这个错误怎么处理啊。</a>
					<div>
						问题描述 org.springframework.beans.factory.BeanCreationException:Errorcreatingbeanwithname'sessionFactor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBedqz.html" rel="bookmark" class="title">图表区太冷清，问个VS2010自带RDLC的问题</a>
					<div>
						问题描述 请问怎样才能用自带的RDLC把表格的某列显示为checkbox,然后将数据库中某个字段的数据绑定到checkbox上面?字段的数据类型是布尔类型 解决方案 解决方案二:帮楼主顶!楼主给点分吧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwkNVM.html" rel="bookmark" class="title">n皇后 内存溢出-使用列队分支界限法解决n皇后问题，只能输入5，其他数字老是出现图中的错误，求大神解决。</a>
					<div>
						问题描述 使用列队分支界限法解决n皇后问题,只能输入5,其他数字老是出现图中的错误,求大神解决. #include #include #include #include using namespace ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBk1GOM.html" rel="bookmark" class="title">未知大小图片在已知容器中的垂直和水平居中问题&lowbar;CSS&sol;HTML</a>
					<div>
						除特别说明外,本站内容采用创作共用授权署名和非商业用途,请尊重劳动成果. CSS布局中,未知大小图片的垂直居中,一直是比较头疼的问题,标准浏览器只要设定容器的line-height和图片的vertic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK5BAM.html" rel="bookmark" class="title">Android 软引用和弱引用详解及实例代码&lowbar;Android</a>
					<div>
						Android 软引用 和 弱引用        1.  SoftReference&lt;T&gt;:软引用--&gt;当虚拟机内存不足时,将会回收它指向的对象:需要获取对象时,可以调用get方法. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKvBdz.html" rel="bookmark" class="title">陈小春加盟《寻龙夺宝》大秀中国功夫&lpar;图&rpar;</a>
					<div>
						陈小春变身神龙卫士 陈小春剧照首次 曝光 新浪娱乐讯 由浙江横店影视制作有限公司.东方星空创业.杭州文广集团.东阳基业和澳大利亚阿德莱德AMPCO联合投资拍摄的奇幻冒险动作巨制&lt;寻龙夺宝&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLB7O5b.html" rel="bookmark" class="title">Red Hat收购Codenvy 将其添加到云开发产品组合</a>
					<div>
						Red Hat表示将收购Codenvy公司,据悉Codenvy公司的开发工具能够创建容器和云优先的应用程序,而本次收购的目标是向Red Hat的开发人员和应用程序阵容添加Codenvy产品,以便与JB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdNelp.html" rel="bookmark" class="title">苹果与FBI大战一年后：仍旧陷入两难</a>
					<div>
						CNET科技资讯网 2月23日 国际报道:如今,距离苹果与美国联邦调查局(FBI)因数据保密性而引起的交锋已然过去一年,而关于这个问题,双方基本都未再向我们透露过任何信息.所以你可能会觉得一切都还好, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
